/*
 * iDefrag built-in classes
 *
 * WARNING: DO NOT EDIT THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING!
 *
 * You should consider this file as an integral part of the iDefrag program;
 * if you modify it, you may cause the program to crash or render your disk
 * unusable without repair.  THEREFORE, DO NOT TOUCH.
 *
 */
 
class "Volume Header" {
  match volume header
  match alternate volume header
  special
  locked
  color "#008011"
}

class "Bad Block" {
  match bad block file
  special
  locked
  color "#000000"
}

class "Allocation File" {
  match allocation file
  special
  color "#00ffaa"
}

class "Extents File" {
  match extents file
  special
  color "#00ccff"
}

class "Attributes File" {
  match attributes file
  special
  color "#0088ff"
}

class "Startup File" {
  match startup file
  special
  color "#0044ff"
  locked
}

class "Catalog File" {
  match catalog file
  special
  color "#4400cc"
}

class "Journal Info Block" {
  match journal information block
  special
  color "#8800ff"
}

class "Journal" {
  match journal
  special
  color "#cc00ff"
}

class "Hot Files B-Tree" {
  match files where name = "/.hotfiles.btree"
  special
  color "#ff00ee"
}

class "User Quota File" {
  match files where name = "/.quota.user"
  special
  color "#882211"
}

class "Group Quota File" {
  match files where name = "/.quota.group"
  special
  color "#886600"
}

class "Temporary Files" {
  match files where file is within "/tmp/.coriolis/"
  // If this color is changed, you need to change the one in Default.classes too
  color "#ff7d26"
  don't optimize
}

/* This sort order may be overridden in a classes file by simply writing
   a new sort order.  We recommend that all sort orderings start like this
   one, but it is not an absolute requirement... OS X will work just fine
   with these classes of file rearranged on the disk. */
order {
  "Allocation File"
  "Journal Info Block"
  "Journal"
  "Extents File"
  "Startup File"
  "Catalog File"
  "User Quota File"
  "Group Quota File"
  "Hot Files B-Tree"
}
